﻿@model  EnergyMission.Domain.Entities.OrganizationEntity
@{
    string actionName = (string)ViewData["ActionName"];
   EnergyMission.Web.Common.Common cs =new EnergyMission.Web.Common.Common();
}

@using (Html.BeginForm("Create", "organizations", FormMethod.Post))
{

    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    @Html.HiddenFor(model => model.ClientId)
    <div class="bottom " id="viewperson">
        <div class="left">
            <label class="name">Organisation*</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model=>model.Name)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Name, "")</span>
                </div>
           </div> 
        </div>
        
        <div class="right">
            <label class="name">Number of employees*</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.NOE)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.NOE, "")</span>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="left">
            <label class="name">Street Address</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.Address)
                @*<input type="text" name="name" value="" placeholder="121 Eddy Avenue, Belconnen" />*@
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Address, "")</span>
                </div>
            </div>
        </div>

        <div class="right">
            <label class="name">Client Admin</label>
            <div style="position:relative;">
                @Html.DevExpress().ComboBoxFor(x => x.SuperAdminEmail,
  settings =>
  {
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
      settings.Properties.DropDownStyle = DropDownStyle.DropDown;

      settings.Name = "SuperAdminEmail";
      settings.Properties.FilterMinLength = 1;
      settings.Properties.CallbackPageSize = 5;
      settings.Properties.DropDownRows = 10;
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;

      settings.Properties.ClientSideEvents.BeginCallback = "function(s, e) { e.customArgs['SuperAdminEmail'] = SuperAdminEmail.GetValue(); }";
      settings.SelectedIndex = -1;
      settings.Properties.TextField = "SuperAdminEmail";
      settings.Properties.ValueField = "SuperAdminEmail";
      settings.Properties.DropDownButton.Visible = false;
      settings.Properties.ValueType = typeof(string);
  }).BindList(cs.GetClients(ViewBag.client)
).GetHtml()


                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.SuperAdminEmail, "")</span>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>

        <div class="left">
            <label class="name">City</label>
            <div class="clearfix"></div>
            @Html.TextBoxFor(model => model.City)
            
        </div>

        <div class="right">
            <label class="name">Geo-location – Latitude</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.Geo_location_Latitude)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Geo_location_Latitude, "")</span>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>

        <div class="left">
            <label class="name">State</label>
            <div class="drporganization">
                @Html.DropDownListFor(model => model.StateId, cs.States,"Select State")
            </div>
        </div>

        <div class="right">
            <label class="name">Geo-location – Longditude</label>
            <div style="position:relative;">
                @Html.TextBoxFor(model => model.Geo_location_Longditude)
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.Geo_location_Longditude, "")</span>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>
        <div class="left">
            <label class="name">Postcode</label>
            <div class="drporganization">
                @Html.DropDownListFor(model => model.PostCodeId, cs.Postcodes,"Select Postcode")
            </div>
        </div>

        <div class="right">
            <input class="save button" name="button" id="btnsave" type="submit" value="Save Changes" />
            <input class="done button" name="button" type="button" onclick="cancelall();" id="btncancel" value="Cancel" />
        </div>





















    </div>


 
}
